Bug Hunting Session
Bug 114720 - crashing with insert subtotals in Calc
Summary: crashing with insert subtotals in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: highest critical
Assignee: Ahmed GHANMI
URL:
Whiteboard: target:6.1.0 target:6.0.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-12-27 20:28 UTC by Roman Kuznetsov
Modified: 2018-05-08 21:31 UTC (History)
8 users (show)

See Also:
Crash report or crash signature: ["ScTable::DoSubTotals(ScSubTotalParam &)"]


Attachments
bt with debug symbols (8.55 KB, text/plain)
2017-12-27 22:17 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2017-12-27 20:28:07 UTC
Description:
crashing with insert subtotals in Calc

Version: 6.0.0.1 (x64)
Build ID: d2bec56d7865f05a1003dc88449f2b0fdd85309a
CPU threads: 4; OS: Windows 6.1; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL

and 6.0.0.1 32 bit on Xubuntu

Steps to Reproduce:
1. Create a new spreadsheet in Calc
2. Enter number 1 to A1:A8
3. Select cell A9
4. Select menu Date-Subtotals
5. In dialogue Subtotals push OK
6. LO is crashing and offers send crash report. But link to crash report is empty

Actual Results:  
LO is crashing if you try use Subtotals

Expected Results:
Lo works correctly


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Roman Kuznetsov 2017-12-27 20:31:17 UTC
do not repro in 5.4.3 on Windows 7 -> regression
Comment 2 Xisco Faulí 2017-12-27 20:58:11 UTC
Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 3 Xisco Faulí 2017-12-27 21:11:16 UTC
Regression introduced by:

author	Jean-Sebastien Bevilacqua <jsbevilacqua@linagora.com>	2017-09-07 11:15:21 +0200
committer	Eike Rathke <erack@redhat.com>	2017-09-13 19:03:10 +0200
commit	e8d370e84af5dc9b8817cbf5aa66e50db150a0c6 (patch)
tree	ce0b15bc72893674f082c047cdff78a25a767532
parent	65ea925d173db0f319a8ca78855587d089e5270d (diff)
tdf#107267: Fix grand total calculation
To fix the grand total calculation, we add another step.
This step loop through all row to find the min and max of each value.
These min and max are then used by the grand total.

Patch by Linagora

Bisected with bibisect-linux64-6.0

Adding Cc: to Jean-Sebastien Bevilacqua
Comment 4 Julien Nabet 2017-12-27 22:17:57 UTC
Created attachment 138701 [details]
bt with debug symbols

On pc Debian x6-64 with master sources updated today, I could reproduce this.

I attached bt with symbols.
Comment 5 Jean-Sebastien Bevilacqua 2018-01-17 08:41:12 UTC
Hello,
My colleague Ahmed Ghanmi is working on it.

We let you know.
Comment 6 Ahmed GHANMI 2018-01-18 09:54:20 UTC
I added a patch on gerrit.
https://gerrit.libreoffice.org/#/c/48099/
Comment 7 Commit Notification 2018-01-18 22:22:20 UTC
Ahmed GHANMI committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cb011cc644d8f2e189ce5b8e5de7ff297969840

tdf#114720: Fix subtotal crash

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-01-19 05:04:38 UTC
Ahmed GHANMI committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a91cd78c443cc2365f4fd6398ea054cb7ef37ca5&h=libreoffice-6-0

tdf#114720: Fix subtotal crash

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-01-19 07:04:26 UTC
Ahmed GHANMI committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c0e7e7fbcd90f739b9b8534aa19b39bf1a15c7b&h=libreoffice-6-0-0

tdf#114720: Fix subtotal crash

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Roman Kuznetsov 2018-01-20 10:16:42 UTC
fixed in 

Version: 6.1.0.0.alpha0+
Build ID: ab1587fc825080ca9e66edba69021d49407687dd
CPU threads: 4; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-20_03:00:17
Locale: ru-RU (ru_RU); Calc: CL
Comment 11 Xavier Van Wijmeersch 2018-01-21 18:21:29 UTC
Maybe its resolved for Windows, but for Linux no crash and no subtotal at all
so may I reopen the report, if no one is against it

Version: 6.0.1.0.0+
Build ID: 4bfa6ad5ca95bdcee12f8cd0544b5f08558050c5
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 121f6f3c79ea2dceb7cc3d61a56f5a56a1cb0d0d
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-21_01:13:13
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 12 Roman Kuznetsov 2018-01-21 20:44:46 UTC
(In reply to Xavier Van Wijmeersch from comment #11)
> Maybe its resolved for Windows, but for Linux no crash and no subtotal at all
> so may I reopen the report, if no one is against it
> 
> Version: 6.0.1.0.0+
> Build ID: 4bfa6ad5ca95bdcee12f8cd0544b5f08558050c5
> CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
> Locale: nl-BE (en_US.UTF-8); Calc: group
> 
> Version: 6.1.0.0.alpha0+
> Build ID: 121f6f3c79ea2dceb7cc3d61a56f5a56a1cb0d0d
> CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2018-01-21_01:13:13
> Locale: nl-BE (en_US.UTF-8); Calc: group threaded


Do you have a crash now? If not, then you have another bug. Please open your own bug about wrong work of subtotals
Comment 13 Xavier Van Wijmeersch 2018-01-22 06:50:54 UTC
Ok, thanks for the advice, I will post a report.
will close it
Comment 14 Jean-Sebastien Bevilacqua 2018-01-22 07:38:34 UTC
Indeed this issue should be closed.
The problem you report (if it's not the desired behavior) was here before my first patch.
So it's another issue not related to this patch and the previous one.

Thanks,
Jean-Sébastien
Comment 15 Xisco Faulí 2018-01-22 11:48:44 UTC
Crash verified in

Version: 6.1.0.0.alpha0+
Build ID: de1bb0878fc7d7eb6071ec94d770712648013075
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 16 Commit Notification 2018-03-07 06:42:31 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a790ee54319583897d82d4372243df870d4452a6

uitest - calc subtotals; tdf#114720 tdf#88792 tdf#88735 tdf#56958 tdf#55734

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.